XMLString (Tomcat API Documentation)
Keywords: org.apache.jasper.xmlparser.XMLString class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.xmlparser
Class XMLString

    java.lang.Object
      org.apache.jasper.xmlparser.XMLString

Direct Known Subclasses:
  XMLStringBuffer

    public class XMLString

extends java.lang.Object

This class is used as a structure to pass text contained in the underlying character buffer of the scanner. The offset and length fields allow the buffer to be re-used without creating new character arrays.

Note: Methods that are passed an XMLString structure should consider the contents read-only and not make any modifications to the contents of the buffer. The method receiving this structure should also not modify the offset and length if this structure (or the values of this structure) are passed to another method.

Note: Methods that are passed an XMLString structure are required to copy the information out of the buffer if it is to be saved for use beyond the scope of the method. The contents of the structure are volatile and the contents of the character buffer cannot be assured once the method that is passed this structure returns. Therefore, methods passed this structure should not save any reference to the structure or the character array contained in the structure.

Version:
  $Id: XMLString.java 467222 2006-10-24 03:17:11Z markt $
Author:
  Eric Ye, IBM, Andy Clark, IBM

Field Summary
`char[]` | `ch` The character array.
`int` | `length` The length of characters from the offset.
`int` | `offset` The offset into the character array.

Constructor Summary
`XMLString()` Default constructor.
`XMLString(char[] ch, int offset, int length)` Constructs an XMLString structure preset with the specified values.
`XMLString(XMLString string)` Constructs an XMLString structure with copies of the values in the given structure.

Method Summary
`void` | `clear()` Resets all of the values to their defaults.
`boolean` | `equals(char[] ch, int offset, int length)` Returns true if the contents of this XMLString structure and the specified array are equal.
`boolean` | `equals(java.lang.String s)` Returns true if the contents of this XMLString structure and the specified string are equal.
`void` | `setValues(char[] ch, int offset, int length)` Initializes the contents of the XMLString structure with the specified values.
`void` | `setValues(XMLString s)` Initializes the contents of the XMLString structure with copies of the given string structure.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ch

    public char[] ch

  The character array.

### offset

    public int offset

  The offset into the character array.

### length

    public int length

  The length of characters from the offset.

Constructor Detail

### XMLString

    public XMLString()

  Default constructor.

### XMLString

    public XMLString(char[] ch,
                     int offset,
                     int length)

  Constructs an XMLString structure preset with the specified values.

  Parameters:
    `ch` - The character array.
    `offset` - The offset into the character array.
    `length` - The length of characters from the offset.

### XMLString

    public XMLString(XMLString string)

  Constructs an XMLString structure with copies of the values in the given structure.

  Note: This does not copy the character array; only the reference to the array is copied.

  Parameters:
    `string` - The XMLString to copy.

Method Detail

### setValues

    public void setValues(char[] ch,
                          int offset,
                          int length)

  Initializes the contents of the XMLString structure with the specified values.

  Parameters:
    `ch` - The character array.
    `offset` - The offset into the character array.
    `length` - The length of characters from the offset.

### setValues

    public void setValues(XMLString s)

  Initializes the contents of the XMLString structure with copies of the given string structure.

  Note: This does not copy the character array; only the reference to the array is copied.

  Parameters:
    `s` -

### clear

    public void clear()

  Resets all of the values to their defaults.

### equals

    public boolean equals(char[] ch,
                          int offset,
                          int length)

  Returns true if the contents of this XMLString structure and the specified array are equal.

  Parameters:
    `ch` - The character array.
    `offset` - The offset into the character array.
    `length` - The length of characters from the offset.

### equals

    public boolean equals(java.lang.String s)

  Returns true if the contents of this XMLString structure and the specified string are equal.

  Parameters:
    `s` - The string to compare.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.